Retrieve Record Merge Status
Given a job_id for a merge records job, retrieve the job status.
Before submitting this request:
- You must have previously requested a record merge job.
- You must have a valid
job_idfield value returned from the record merge operation.
GET
/api/{version}/vobjects/merges/{job_id}/statusHeaders
Section link for Headers| Name | Description |
|---|---|
Accept | application/json (default) or application/xml |
URI Path Parameters
Section link for URI Path Parameters| Name | Description |
|---|---|
{job_id} | The job_id field value returned from the merge operation. You can start merge operations with the Initiate Record Merge API request or with the Vault Java SDK. |
Request
Section link for Requestcurl -X GET -H "Authorization: {SESSION_ID}" \
https://myvault.veevavault.com/api/v26.1/vobjects/merges/863301/statusResponse
Section link for Response{
"responseStatus": "SUCCESS",
"data": {
"status": "IN_PROGRESS"
}
}Response Details
Section link for Response DetailsOn SUCCESS, the merge job may have one of the following statuses:
IN_PROGRESS: The job is currently runningSUCCESS: The job completed with no errors; all records were mergedFAILURE: The job completed with errors; one or more records were not merged